#ifndef _BOW_H_
#define _BOW_H_

#include "ornament.h"

class Bow : public Ornament
{
 private:
  int _length;
  int _direction;
  int _delta;


 public:
  Bow();
  Bow(Bow*);
  Bow(int);
  Bow(int,int);
  Bow(int,int,int);

  void flip();
  int length();
  int direction();
  bool up();
  bool down();
  int delta();
  void setLength(int);
  void setDirection(int);
  void setUp();
  void setDown();
  void setDelta(int);


  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();
};

#endif
