#ifndef _DRUMTRACK_H_
#define _DRUMTRACK_H_

#include "track.h"

class DrumTrack : public Track
{
 private:
  int _channel;
  int _program;
  int _output;
  int _volume;
  int _delay;
  int _transpose;

 public:
  DrumTrack();
  DrumTrack(DrumTrack*);
  ~DrumTrack();

  int channel();
  int program();
  int output();
  int volume();
  int delay();
  int transpose();

  void setChannel(int);
  void setProgram(int);
  void setOutput(int);
  void setVolume(int);
  void setDelay(int);
  void setTranspose(int);

  virtual ostream & printOptions(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();

  void loadOpt(ifstream*&);

};

#endif
