#ifndef _PLAYER_H_
#define _PLAYER_H_


class DeviceManager;
class Song;
class Part;
class PrProgress;

#define MAXDEVNUM 16

class Player
{
 private:
  Song * _song;
  DeviceManager * devman;
  int devnum;
  char * devices[MAXDEVNUM];
  long oldTimePos;
  bool needSync;
  bool playing;
  void init();
  void wait(long,long);

 public:
  Player();
  Player(Song*);
  ~Player();
  char * device(int i);
  int devicenum();
  void play(PrProgress * progress = 0, Part * part=0, long left = 0, long right = 0);
  void hit(int out, int ch, int freq, int vol);
  void quad(int out, int ch, int freq1, int freq2, int freq3, int freq4, int vol);
};

#endif
