#ifndef _KDEPREFS_H_
#define _KDEPREFS_H_

#include <ktmainwindow.h>

class QButtonGroup;
class QRadioButton;
class QTabDialog;
class QCheckBox;
class QSpinBox;
class QLineEdit;
class QGroupBox;

class KdePrefs : public QLabel
{
  Q_OBJECT

 private:

 public:
  KdePrefs( QWidget * parent , const char * name );
  ~KdePrefs();
  QTabDialog * dialog;
  QGroupBox * group1;
  QGroupBox * group2;
  QWidget * pref1;
  QWidget * pref2;
  QWidget * pref3;
  QWidget * pref4;
  QLabel * l11;
  QLabel * l12;
  QLabel * l13;
  QLabel * l14;
  QLabel * l15;
  QLabel * l16;
  QLabel * l21;
  QLabel * l31;
  QCheckBox * c11;
  QCheckBox * c12;
  QCheckBox * c13;
  QCheckBox * c21;
  QSpinBox * s11;
  QSpinBox * s12;
  QSpinBox * s13;
  QSpinBox * s31;
  QButtonGroup * g31;
  QButtonGroup * g32;
  QRadioButton * r31;
  QRadioButton * r32;
  QRadioButton * r33;
  QRadioButton * r34;
  QLineEdit * e41;
  QLineEdit * e42;
  QLineEdit * e43;


public slots:
  void updateC1(bool);
  void updateC2(bool);
  void updateS1(int);
  void updateS2(int);
  void updateS3(int);
  void updateS4(int);

  void updateC21(bool);
  
  void updateG31(int);

  void updateE41();
  void updateE42();
  void updateE43();

  void ok();

};
#endif
