#ifndef _KDETRACK_H_
#define _KDETRACK_H_

#include <qwidget.h>

#include "../../prTrack.h"

class Track;
class TogButton;
class TypeChooser;
class TrackLabel;

class KdeTrack : public QWidget, public PrTrack
{
  Q_OBJECT

 private:
  TogButton * _mute;
  TogButton * _lock;
  TypeChooser * _type;
  TrackLabel * _name;

 protected:
  Track * _track;

 public:
  KdeTrack(Track*);
  virtual void update();
  virtual void updateCore();
  virtual void erase();
  virtual void hide();
  virtual void show();

  Track * track();
};


#endif
