#ifndef _SELECTIONFRAME_CPP_
#define _SELECTIONFRAME_CPP_

#include <qstring.h>

#include "selectionFrame.h"

#include "../../song.h"

extern Song * sonG;

SelectionFrame::SelectionFrame( QWidget * parent, const char * name )
  : QFrame(parent,name)
{
  top = new QLabel("--. -. --- ",this);
  top->setGeometry(0,1,72,10);
  top->setFont(QFont("courier",10));
  // top->setEnabled(FALSE);
  top->show();
  bottom = new QLabel("--. -. --- ",this);
  bottom->setGeometry(0,11,72,11);
  bottom->setFont(QFont("courier",10));
  // bottom->setEnabled(FALSE);
  bottom->show();
}

void SelectionFrame::setTop(int a, int b, int c) {
  QString qa; qa.setNum(a); QString qb; qb.setNum(b); QString qc; qc.setNum(c);
  top->setText(qc+QString(". ")+qb+QString(". ")+qa);
}

void SelectionFrame::setTop(Position pos) {
  int a = 0; int b = 0; int c = 0;
  sonG->bbt(a,b,c,pos);
  setTop(a,b,c);
}

void SelectionFrame::setBottom(int a, int b, int c) {
  QString qa; qa.setNum(a); QString qb; qb.setNum(b); QString qc; qc.setNum(c);
  bottom->setText(qc+QString(". ")+qb+QString(". ")+qa);
}

void SelectionFrame::setBottom(Position pos) {
  int a = 0; int b = 0; int c = 0;
  sonG->bbt(a,b,c,pos);
  setBottom(a,b,c);
}



#endif
