#ifndef _TIMEBAR_H_
#define _TIMEBAR_H_

#include <qlabel.h>

class Part;

/**
 * This class draws the timebar at the top of the PartCanvas
 * @author Jan Wuerthner
 * @version 0.95
 */

class TimeBar : public QLabel
{
  Q_OBJECT

private:
  // QtPartCanvas * pcanvas;
  Part * master;
  int met0;
  int met1;

public:
  TimeBar( QWidget *parent=0, const char *name=0);

  // QtPartCanvas * gPartCanvas();

    double gBarLength();
  int canvasMarginLeft;
  int canvasMarginRight;

public slots:
  void paintEvent( QPaintEvent * pe );
};


#endif
