#ifndef _REFERENCE_H_
#define _REFERENCE_H_

#include "atom.h"

class Reference : public Atoma
{
 private:
  char * _key;
  Element * _value;

 public:
  Reference();
  Reference(Reference*);
  Reference(Element*);
  Reference(char*,Element*);
  ~Reference();

  char * getKey();
  Element * getValue();
  Element * getValue(char*);

  /*  virtual bool operator==(Element*);
  virtual bool operator==(const char*);
  */

  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();
  virtual bool isEvent() { return false; }

};

#endif
