#ifndef _STRING_H_
#define _STRING_H_

#include "atom.h"

class String : public Atoma
{
 private:
  char * _value;

 public:
  String();
  String(String*);
  String(char*);

  char * getValue();

  virtual bool operator==(Element*);
  virtual bool operator==(const char*);

  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();
  virtual bool isEvent() { return false; }

};

#endif
