#ifndef _EXPRESSION_H_
#define _EXPRESSION_H_

#include "ornament.h"

class Expression : public Ornament
{
 private:
  int _exp;
  int _displacement;

 public:
  Expression();
  Expression(int);
  Expression(Expression*);

  int expression();
  int displacement();
  void setExpression(int);
  void setDisplacement(int);

  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();

  static Element * load(char*,ifstream*&,Element*);
};

#endif
