#ifndef _LYRICS_H_
#define _LYRICS_H_

#include "ornament.h"
class Note;

class Lyrics : public Ornament
{
 private:
  const char * _text;

 public:
  Lyrics();
  Lyrics(Note*,char*);
  Lyrics(Lyrics*);

  const char * get();
  void set(const char*);

  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();
  
  static Element * load(char*,ifstream*&,Element*);

};

#endif
