#ifndef _MASTEREVENT_H_
#define _MASTEREVENT_H_

#include "event.h"

/** This event contains information on tempo and meter of a part */

class MasterEvent : public Event
{
 private:
  int _tempo;
  int _meter0;
  int _meter1;

 public:
  MasterEvent( );
  MasterEvent(MasterEvent*);
  MasterEvent(Position pos, int tempo);
  MasterEvent(Position pos, int met0, int met1);
  MasterEvent(Position pos, int tempo, int met0, int met1);

  // virtual bool operator==(Element*);

  int tempo();
  int meter0();
  int meter1();
  void setTempo(int);
  void setMeter0(int);
  void setMeter1(int);

  virtual ostream & print(int,ostream&);
  virtual void flush(char*);
  virtual Element * copy();
};


#endif
