#ifndef _MASTERTRACK_CPP_
#define _MASTERTRACK_CPP_

#include <iostream.h>
#include "masterTrack.h"
#include "loader.h"
#include "table.h"
#include "str.h"
#include "prTrack.h"
#include "prFactory.h"

extern PrFactory * factory;



MasterTrack::MasterTrack() {
  _type = MASTERTRACK;
  _pr = factory->createMasterTrack(this);
}

MasterTrack::MasterTrack(MasterTrack * st)
  : Track(st,MASTERTRACK)
{
  if (st) {
    _pr = factory->createMasterTrack(this);
  }
}

MasterTrack::~MasterTrack() {
}

ostream & MasterTrack::printOptions(int dep, ostream & s) {
}

void MasterTrack::flush(char * c) {
  cout << c << "MASTERTRACK" << endl;
}

Element * MasterTrack::copy() {
  return new MasterTrack(this);
}

void MasterTrack::loadOpt(ifstream *& inPtr) {
  Table * opt = Loader::getAttributes("OPTIONS",inPtr);

  opt->scratch();
  delete opt;
}


#endif
