#ifndef _KDEEDITINFO_H_
#define _KDEEDITINFO_H_

#include <qframe.h>

class PrPartEditor;

class KdeEditInfo : public QFrame
{
  Q_OBJECT

 private:
  PrPartEditor * _editor;
  double scl;
  int _xoffset;
  int _pressX;
  int _pressY;
  int _moveX;
  int _moveY;
  int _grabX;

 public:
  KdeEditInfo(QWidget*,PrPartEditor*);
  
 public slots:
  void paintEvent( QPaintEvent * );
  void mousePressEvent( QMouseEvent * );
  void mouseMoveEvent( QMouseEvent * );
  void mouseReleaseEvent( QMouseEvent * );
};

#endif
