#ifndef _QTSCORESYMBOLS_H_
#define _QTSCORESYMBOLS_H_

#include <qwidget.h>

class Part;
class KdeScoreEditor;
class QPixmap;
class QPushButton;

#define SYMBOL_WIDTH 24

class QtSymbols : public QWidget
{
  friend KdeScoreEditor;

  Q_OBJECT

private:
  KdeScoreEditor * score;
  QPixmap * symbols;
  QPushButton ** button; //[NUM_SYMBOLS];
  int pressed;
  int * element;
  int total;
  int cols;
  int rows;
  int tool;

public:
  QtSymbols( KdeScoreEditor * s, QPixmap*, int& e, int, int, char *, int );
  
public slots:
  void update();
};



#endif
