#ifndef _REFERENCE_CPP_
#define _REFERENCE_CPP_

#include <iostream.h>
#include <string.h>

#include "reference.h"

Reference::Reference() : _value(0), _key(0) {
  _type = REFERENCE;
}

Reference::Reference(Reference * e) : Atoma(e,REFERENCE) {
  char * x = e->getKey();
  if (x!=0) _key = strdup(x); else _key = 0;
  _value = e->getValue();
}

Reference::Reference(Element * e) : _value(e), _key(0) {
  _type = REFERENCE;
}

Reference::Reference(char * k, Element * e) : _value(e), _key(k) {
  _type = REFERENCE;
}

Reference::~Reference() {
  //if (_key!=0) delete[] _key;
}

char * Reference::getKey() { return _key; }

Element * Reference::getValue() { return _value; }

Element * Reference::getValue(char * k) {
  Element * retv = 0;
  if ((k!=0)&&(_key!=0))
    if (strcmp(k,_key)==0) retv = _value;
  return retv;
}




ostream & Reference::print(int dep, ostream & s) {
  s << spc(dep) << "<REFERENCE";
  if (_key!=0) s << " key=\"" << _key << "\"";
  s << " value=\"" << *_value << "\" />" << endl;
  return s;
}

void Reference::flush(char * c) {
  cout << c << "REFERENCE " << _value << endl;

}

Element * Reference::copy() {
  return new Reference(this);
}


#endif
